Jump to content
#StayAtHome ×
dil_bert

while upgrading php from version 5.6 to 7.4.2 i get a critical error on the wp-site

Recommended Posts

hello dear Experts on PHPFreaks  - dear Freaks, 

well - while upgrading php from version 5.6 to 7.4.2 i get a critical error on the wp-site: 


There has been a critical error on your website.
Learn more about debugging in WordPress.

and i get linked to the page https://wordpress.org/support/article/debugging-in-wordpress/

where i learn_; 


WP_DEBUG # WP_DEBUG

WP_DEBUG is a PHP constant (a permanent global variable) that can be used to trigger the “debug” mode throughout WordPress. It is assumed to be false by default and is usually set to true in the wp-config.php file on development copies of WordPress.

define( 'WP_DEBUG', true );
define( 'WP_DEBUG', false );

Note: The true and false values in the example are not surrounded by apostrophes (‘) because they are boolean (true/false) values. If you set constants to 'false', they will be interpreted as true because the quotes make it a string rather than a boolean.

so i activate the debugmode and get the follwing: 


Deprecated: Array and string offset access syntax with curly braces is deprecated in /sites/www.my-domain.com/wp-content/plugins/participants-database/classes/PDb_Base.php on line 1844

see more here..: 

Fatal error: Uncaught Exception: Cannot open source device in /sites/www.my-domain.com/wp-content/plugins/participants-database/vendor/wp-session-manager/wp-session-manager.php:46 Stack trace: #0 /sites/www.my-domain.com/wp-content/plugins/participants-database/vendor/wp-session-manager/wp-session-manager.php(46): session_start() #1 /sites/www.my-domain.com/wp-includes/class-wp-hook.php(286): wp_session_manager_start_session() #2 /sites/www.my-domain.com/wp-includes/class-wp-hook.php(312): WP_Hook->apply_filters(NULL, Array) #3 /sites/www.my-domain.com/wp-includes/plugin.php(478): WP_Hook->do_action(Array) #4 /sites/www.my-domain.com/wp-settings.php(392): do_action('plugins_loaded') #5 /sites/www.my-domain.com/wp-config.php(90): require_once('/sites/www.my-domain-...') #6 /sites/www.my-domain.com/wp-load.php(37): require_once('/sites/www.my-domain-...') #7 /sites/www.my-domain.com/wp-blog-header.php(13): require_once('/sites/www.my-domain-...') #8 /sites/www.my-domain.com/index.php(17): require('/sites/www.my-domain-...') #9 in /sites/www.my-domain.com/wp-content/plugins/participants-database/vendor/wp-session-manager/wp-session-manager.php on line 46
There has been a critical error on your website.

and ideas - any hints!?


It is not recommended to use WP_DEBUG or the other debug tools on live sites; they are meant for local testing and staging installs.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.